<?php

namespace App\Http\Controllers;

use App\Models\Client;
use Illuminate\Http\Request;
use Hash;
use Session;
use App\Models\User;
use Illuminate\Support\Facades\Auth;

class AuthController extends Controller
{


    public function index()
    {
        return view('auth.login');
    }

    public function customLogin(Request $request)
    {
        $request->validate([
            'key' => 'required',
            'password' => 'required',
        ]);

        $credentials = $request->only('key', 'password');
        if (Auth::attempt($credentials)) {
            return redirect()->route('dashboard')
                ->withSuccess('Signed in');
        }

        return redirect(route("login"))->withErrors('Login details are not valid');
    }

    public function dashboard()
    {
        if(Auth::check()){
            return view('auth.dashboard');
        }

        return redirect(route("login"))->withErrors('Are not allowed to access');
    }


    public function signOut() {
        Session::flush();
        Auth::logout();
        return Redirect(route('login'));
    }
}
