<?php

namespace App\Http\Controllers;

use App\Models\Client;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class ClientController extends Controller
{

    public function login(Request $request){

        $xckey= $request->xckey;
        $uuid= decryptData($request->uuid,$xckey);
        $mac= decryptData($request->mac,$xckey);
        $username= decryptData($request->username,$xckey);
        $public_ip= $request->ip();
        $last_connected= now();
        if (!is_null($uuid)){
            $client= null;
            foreach (Client::get() as $q){
                if (decryptData($q->uuid, env('Encrypt_KEY')) == $uuid){
                    $client= $q;
                    break;
                }
            }
            if (isset($client) && !is_null($client)){
                if (!is_null($username)){
                    $client->update(['username'=> encryptData($username,env('Encrypt_KEY')),'uuid'=> encryptData($uuid,env('Encrypt_KEY')),'public_ip'=> encryptData($public_ip,env('Encrypt_KEY')),'last_connected'=> $last_connected]);
                }
                else{
                    $client->update(['uuid'=> encryptData($uuid,env('Encrypt_KEY')),'public_ip'=> encryptData($public_ip,env('Encrypt_KEY')),'last_connected'=> $last_connected]);
                }
            }
            else{
                $client= new Client();
                $client->mac= encryptData($mac,env('Encrypt_KEY'))?? encryptData("Mac",env('Encrypt_KEY'));
                $client->uuid= encryptData($uuid,env('Encrypt_KEY'));
                $client->username= encryptData($username,env('Encrypt_KEY'));
                $client->public_ip= encryptData($public_ip,env('Encrypt_KEY'));
                $client->last_connected= $last_connected;
                $client->save();

            }
            $client->tokens()->delete();
            $token =  $client->createToken('tokenforapi')->plainTextToken;

            $response = [
                'token' => $token,
                'status' => 200,
            ];
            return response()->json($response, 200);
        }
        $response = [
            'token' => null,
            'xckey'=> Str::random(1).$xckey,
            'status'    => 500,
        ];
        return response()->json($response, 500);
    }
    public function index(){
        $clients= Client::orderByDesc('created_at')->get();
        $clients->map(function ($q){
            $q->uuid= decryptData($q->uuid, env('Encrypt_KEY'));
            $q->username= decryptData($q->username, env('Encrypt_KEY'));
            $q->mac= decryptData($q->mac, env('Encrypt_KEY'));
            $q->public_ip= decryptData($q->public_ip, env('Encrypt_KEY'));
            $q->private_ip= decryptData($q->private_ip, env('Encrypt_KEY'));
            $q->note= decryptData($q->note, env('Encrypt_KEY'));
            $q->passed= true;
          //  $last_conn = Carbon::createFromTimestamp($q->last_connected);
          //  dd($last_conn->addSeconds(18000)->diffForHumans(),(Carbon::now()->diffForHumans()));
            if(Carbon::now()->subMinutes(5)->gt($q->last_connected)){
                $q->passed= false;
            }
            $q->last_connected_human= $q->last_connected->diffForHumans();

            return $q;
        });
        return response()->json(['data'=> $clients],200);
    }
    public function updateNote(Request $request){
        $client= Client::whereId($request->client_id)->first();
        $client->note= encryptData($request->note,env('Encrypt_KEY'));
        $client->save();

        $client->uuid= decryptData($client->uuid, env('Encrypt_KEY'));
        $client->username= decryptData($client->username, env('Encrypt_KEY'));
        $client->mac= decryptData($client->mac, env('Encrypt_KEY'));
        $client->public_ip= decryptData($client->public_ip, env('Encrypt_KEY'));
        $client->private_ip= decryptData($client->private_ip, env('Encrypt_KEY'));
        $client->note= decryptData($client->note, env('Encrypt_KEY'));
        $client->file_url= decryptData($client->file_url, env('Encrypt_KEY'));
        $client->file_name= decryptData($client->file_name, env('Encrypt_KEY'));

        return response()->json(['data'=>$client],200);

    }

    public function saveFile(Request $request){

        $this->validate($request,[
            'client_id'=> 'required|numeric',
           /* 'name'=> 'required|string',
            'fileurl'=> 'required|file',*/
        ]);
        $client= Client::whereId($request->client_id)->first();
        $client->file_name= encryptData($request->name,env('Encrypt_KEY'));
        $client->file_url= encryptData($request->fileurl,env('Encrypt_KEY'));
        $client->update();

        $client->uuid= decryptData($client->uuid, env('Encrypt_KEY'));
        $client->username= decryptData($client->username, env('Encrypt_KEY'));
        $client->mac= decryptData($client->mac, env('Encrypt_KEY'));
        $client->public_ip= decryptData($client->public_ip, env('Encrypt_KEY'));
        $client->private_ip= decryptData($client->private_ip, env('Encrypt_KEY'));
        $client->note= decryptData($client->note, env('Encrypt_KEY'));
        $client->file_url= decryptData($client->file_url, env('Encrypt_KEY'));
        $client->file_name= decryptData($client->file_name, env('Encrypt_KEY'));

        return response()->json(['data'=>$client],200);
    }

    public function destroy($id){
      $client= Client::where('id', $id)->first();
      if ($client) {
        \App\Models\Request::where('client_id', $id)->delete();
        $client->delete();
      }
      return response()->json(['data'=>null],200);
    }

}
