<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Laravel\Sanctum\PersonalAccessToken;

class CheckApi
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $Hashedtoken= array_key_exists('authorization',\Request::header()) ? \Request::header()['authorization'][0] : null;
        if (!is_null($Hashedtoken)){
            $token= PersonalAccessToken::findToken($Hashedtoken);
            if ($token){
                $user= $token->tokenable;
                if ($user){
                    $request->user= $user;
                    return $next($request);
                }
            }
        }
        $response = [
            'token' => null,
            'status'    => 419,
        ];
        return response()->json($response, 419);
    }
}
