<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\ClientController;
use \App\Http\Controllers\RequestController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::controller(ClientController::class)->group(function(){
    Route::post('/client/login', 'login');
});

Route::middleware('checkapi')->controller(RequestController::class)->group(function(){
    Route::post('/client/getdata', 'getData');
});


Route::middleware('cors')->group(function (){

    Route::resource('/client', ClientController::class,[
        'names'=>[
        'index'=> 'cindex',
        'create'=> 'ccreate',
        'store'=> 'cstrore',
        'edit'=> 'cedit',
        'show'=> 'cshow',
        'update'=> 'cupdate',
        'destroy'=> 'cdestroy',
        ]
    ]);
    Route::get('/client/{id}/request', [AuthController::class, 'dashboard']);
    Route::post('/client/note', [ClientController::class, 'updateNote']);
    ///////////////////////////////////////////////////////////////////////////////////////////
    Route::resource('request', RequestController::class,
    [
        'names'=>[
        'index'=> 'rindex',
        'create'=> 'rcreate',
        'store'=> 'rstrore',
        'edit'=> 'redit',
        'show'=> 'rshow',
        'update'=> 'rupdate',
        'destroy'=> 'rdestroy',
        ]
        ]
    )->except('index');
    Route::get('/request/{client_id}/all', [RequestController::class, 'index']);
    Route::get('/request/{id}/editState', [RequestController::class, 'EditState']);
    Route::post('/file/upload', [RequestController::class, 'uploadFile']);
});


