<?php

use App\Models\Client;
use Illuminate\Support\Facades\Route;
use \App\Http\Controllers\AuthController;
use \App\Http\Controllers\ClientController;
use \App\Http\Controllers\RequestController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('login', [AuthController::class, 'index'])->name('login');
Route::post('login', [AuthController::class, 'customLogin'])->name('login.post');

Route::middleware('auth:web')->group(function (){

    Route::get('/', [AuthController::class, 'dashboard'])->name('dashboard');
    Route::resource('client', ClientController::class);
    Route::get('/client/{id}/request', [AuthController::class, 'dashboard']);
    Route::post('/client/note', [ClientController::class, 'updateNote']);
    Route::post('/client/file', [ClientController::class, 'saveFile']);
    ///////////////////////////////////////////////////////////////////////////////////////////
    Route::resource('request', RequestController::class)->except('index');
    Route::get('/request/{client_id}/all', [RequestController::class, 'index']);
    Route::get('/request/{id}/editState', [RequestController::class, 'EditState']);
    Route::get('signout', [AuthController::class, 'signOut'])->name('signout');
});
